View Issue Details

IDProjectCategoryView StatusLast Update
0036351FPCFCLpublic2020-11-13 22:06
Reporternicola gorlandi Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.4 
Fixed in Version3.2.0 
Summary0036351: fpSimpleXMLExport encoding = "ISO 8859-1"
DescriptionIn the procedure TCustomSimpleXMLExporter.DoDataHeader;

the xml file starts with

<?xml version="1.0" encoding = "ISO 8859-1" ?>');
that in most of the case is not valid for XML ( Lazarus XML reader for example ).
It would be better to have an attribute in order to define which is the enconding
Steps To ReproduceExport a dataset in XML format and try to read it as XML in Lazarus
TagsNo tags attached.
Fixed in Revision43713
FPCOldBugId
FPCTarget3.2.2
Attached Files

Activities

Marco van de Voort

2020-01-25 17:00

manager   ~0120735

Trunk fpsimplexport emits utf8 now.

Michael Van Canneyt

2020-11-13 22:06

administrator   ~0126896

This has been fixed quite some time ago, and is fixed in 3.2.0: the encoding is always UTF8.

Issue History

Date Modified Username Field Change
2019-11-24 13:29 nicola gorlandi New Issue
2020-01-25 17:00 Marco van de Voort Note Added: 0120735
2020-11-13 22:06 Michael Van Canneyt Assigned To => Michael Van Canneyt
2020-11-13 22:06 Michael Van Canneyt Status new => resolved
2020-11-13 22:06 Michael Van Canneyt Resolution open => fixed
2020-11-13 22:06 Michael Van Canneyt Fixed in Version => 3.2.0
2020-11-13 22:06 Michael Van Canneyt Fixed in Revision => 43713
2020-11-13 22:06 Michael Van Canneyt FPCTarget => 3.2.2
2020-11-13 22:06 Michael Van Canneyt Note Added: 0126896